按 id 获取 Google 酒店搜索结果
curl --request GET \
--url https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_searches/task_get/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_searches/task_get/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_searches/task_get/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": [
{
"keyword": "<string>",
"location_code": 123,
"language_code": "<string>",
"check_url": "<string>",
"datetime": "<string>",
"items_count": 123,
"items": [
{
"type": "<string>",
"hotel_identifier": "<string>",
"title": "<string>",
"stars": 123,
"is_paid": true,
"location": {
"latitude": 123,
"longitude": 123
},
"reviews": {
"value": 123,
"votes_count": 123,
"mentions": [
{
"title": "<string>",
"positive_score": 123,
"positive_count": 123,
"negative_count": 123,
"total_count": 123,
"visible_by_default": true
}
],
"rating_distribution": {},
"other_sites_reviews": [
{
"title": "<string>",
"url": "<string>",
"review_text": "<string>",
"rating": {
"rating_type": "<string>",
"value": 123,
"votes_count": 123,
"rating_max": 123
}
}
]
},
"overview_images": [
"<string>"
],
"prices": {
"price": 123,
"price_without_discount": 123,
"currency": "<string>",
"discount_text": "<string>",
"check_in": "<string>",
"check_out": "<string>",
"visitors": 123,
"items": [
{
"type": "<string>",
"title": "<string>",
"price": 123,
"currency": "<string>",
"url": "<string>",
"domain": "<string>",
"is_paid": true,
"official_site": true,
"free_cancellation_until": "<string>",
"offers": [
{
"type": "<string>",
"title": "<string>",
"price": 123,
"currency": "<string>",
"url": "<string>",
"max_visitors": 123,
"offer_images": [
"<string>"
],
"free_cancellation_until": "<string>"
}
]
}
],
"prices_by_dates": [
{
"price": 123,
"currency": "<string>",
"check_in_date": "<string>",
"check_out_date": "<string>"
}
]
}
}
]
}
]
}
]
}酒店搜索
按 id 获取 Google 酒店搜索结果
Hotel Searches API 将提供酒店列表,包括每家酒店的价格、图片、评分数据等信息。
GET
https://api.aisa.one
/
apis
/
v1
/
dataforseo
/
business_data
/
google
/
hotel_searches
/
task_get
/
{id}
按 id 获取 Google 酒店搜索结果
Hotel Searches API 将提供酒店列表,包括每家酒店的价格、图片、评分数据等信息。通过在 POST 数组中使用不同参数,你可以根据支持的参数获取筛选后的酒店列表。
示例
curl -X GET "https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_searches/task_get/{id}" \
-H "Authorization: Bearer YOUR_API_KEY"
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
响应
object | null
Successful operation
API 的当前版本
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
total execution time, seconds
任务总成本(美元)
tasks 数组中的任务数量
返回错误的 tasks 数组中的任务数量
array of tasks
Show child attributes
Show child attributes